import { createPool } from "mariadb";

async function run() {
    const pool = createPool({
        host: process.env.DATABASE_HOST,
        user: process.env.DATABASE_USER,
        password: process.env.DATABASE_PASSWORD,
        database: process.env.DATABASE_SCHEMA
    });

    const createUserBuffer: string = await Bun.file('./sql/users.sql').text();
    const conn = await pool.getConnection();
    const results = await conn.query(createUserBuffer);

    return results;
}

run()
    .then(r => {
        console.log(r);
        process.exit(0);
    })
    .catch(e => {
        console.error(e);
        process.exit(1);
    })

